Site Studio — Media
3 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1
Delete a media file by its stored filename#
DELETE
/funnels/{funnelId}/media/{fileName}TokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
funnelIdPflicht | Pfad | string | – |
fileNamePflicht | Pfad | string | – |
Antworten
- 204Kein Inhalt
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/funnels/{funnelId}/media/{fileName}" \
-H "Authorization: Bearer $XISUITE_TOKEN"List all media files for a funnel#
GET
/funnels/{funnelId}/media/filesTokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
funnelIdPflicht | Pfad | string | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/funnels/{funnelId}/media/files" \
-H "Authorization: Bearer $XISUITE_TOKEN"Upload a media file (image or video) for a funnel#
POST
/funnels/{funnelId}/media/uploadTokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
funnelIdPflicht | Pfad | string | – |
Antworten
- 201Erstellt
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/funnels/{funnelId}/media/upload" \
-H "Authorization: Bearer $XISUITE_TOKEN"